> For the complete documentation index, see [llms.txt](https://docs.ilert.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ilert.com/developer-docs/rest-api/api-reference/connectors.md).

# Connectors

## GET /connectors

> Get connectors.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Connectors"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"Connector":{"required":["name","type"],"type":"object","properties":{"id":{"type":"string"},"type":{"$ref":"#/components/schemas/ConnectorType"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"params":{"type":"object","oneOf":[{"$ref":"#/components/schemas/EParamsDatadog"},{"$ref":"#/components/schemas/EParamsJira"},{"$ref":"#/components/schemas/EParamsMicrosoftTeams"},{"$ref":"#/components/schemas/EParamsServiceNow"},{"$ref":"#/components/schemas/EParamsSlack"},{"$ref":"#/components/schemas/EParamsZendesk"},{"$ref":"#/components/schemas/EParamsDiscord"},{"$ref":"#/components/schemas/EParamsGithub"},{"$ref":"#/components/schemas/EParamsTopdesk"},{"$ref":"#/components/schemas/EParamsAWSLambda"},{"$ref":"#/components/schemas/EParamsAzureFunction"},{"$ref":"#/components/schemas/EParamsGoogleFunction"},{"$ref":"#/components/schemas/EParamsSysdig"},{"$ref":"#/components/schemas/EParamsStatusPageIO"},{"$ref":"#/components/schemas/EParamsDingTalk"},{"$ref":"#/components/schemas/EParamsZabbix"},{"$ref":"#/components/schemas/EParamsZammad"},{"$ref":"#/components/schemas/EParamsMattermost"},{"$ref":"#/components/schemas/EParamsAutotask"},{"$ref":"#/components/schemas/EParamsDynamic"}]},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"ConnectorType":{"type":"string","enum":["jira","microsoft_teams_bot","servicenow","slack","zendesk","discord","github","topdesk","zammad","mattermost","zoom_chat","dingtalk","dynamic","zabbix","autotask","google_chat_bot"]},"EParamsDatadog":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsJira":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"password":{"type":"string"}}},"EParamsMicrosoftTeams":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsServiceNow":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsSlack":{"type":"object"},"EParamsZendesk":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsDiscord":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsGithub":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsTopdesk":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsAWSLambda":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsAzureFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsGoogleFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsSysdig":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsStatusPageIO":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsDingTalk":{"type":"object","properties":{"url":{"type":"string"},"secret":{"type":"string"}}},"EParamsZabbix":{"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsZammad":{"required":["url","apiKey"],"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsMattermost":{"required":["url"],"type":"object","properties":{"url":{"type":"string"}}},"EParamsAutotask":{"required":["email","password"],"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"}}},"EParamsDynamic":{"required":["requestUrl"],"type":"object","properties":{"requestUrl":{"type":"string"},"responseUrl":{"type":"string"},"authorization":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}}}},"paths":{"/connectors":{"get":{"tags":["Connectors"],"summary":"Get connectors.","parameters":[{"name":"start-index","in":"query","description":"an integer specifying the starting point (beginning with 0) when paging through a list of entities","schema":{"type":"integer","format":"int32","default":0}},{"name":"max-results","in":"query","description":"the maximum number of results when paging through a list of entities.","schema":{"maximum":100,"type":"integer","format":"int32","default":50}}],"responses":{"200":{"description":"The connectors","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Connector"}}}}}}}}}}
```

## POST /connectors

> Create a new connector.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Connectors"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"Connector":{"required":["name","type"],"type":"object","properties":{"id":{"type":"string"},"type":{"$ref":"#/components/schemas/ConnectorType"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"params":{"type":"object","oneOf":[{"$ref":"#/components/schemas/EParamsDatadog"},{"$ref":"#/components/schemas/EParamsJira"},{"$ref":"#/components/schemas/EParamsMicrosoftTeams"},{"$ref":"#/components/schemas/EParamsServiceNow"},{"$ref":"#/components/schemas/EParamsSlack"},{"$ref":"#/components/schemas/EParamsZendesk"},{"$ref":"#/components/schemas/EParamsDiscord"},{"$ref":"#/components/schemas/EParamsGithub"},{"$ref":"#/components/schemas/EParamsTopdesk"},{"$ref":"#/components/schemas/EParamsAWSLambda"},{"$ref":"#/components/schemas/EParamsAzureFunction"},{"$ref":"#/components/schemas/EParamsGoogleFunction"},{"$ref":"#/components/schemas/EParamsSysdig"},{"$ref":"#/components/schemas/EParamsStatusPageIO"},{"$ref":"#/components/schemas/EParamsDingTalk"},{"$ref":"#/components/schemas/EParamsZabbix"},{"$ref":"#/components/schemas/EParamsZammad"},{"$ref":"#/components/schemas/EParamsMattermost"},{"$ref":"#/components/schemas/EParamsAutotask"},{"$ref":"#/components/schemas/EParamsDynamic"}]},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"ConnectorType":{"type":"string","enum":["jira","microsoft_teams_bot","servicenow","slack","zendesk","discord","github","topdesk","zammad","mattermost","zoom_chat","dingtalk","dynamic","zabbix","autotask","google_chat_bot"]},"EParamsDatadog":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsJira":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"password":{"type":"string"}}},"EParamsMicrosoftTeams":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsServiceNow":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsSlack":{"type":"object"},"EParamsZendesk":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsDiscord":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsGithub":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsTopdesk":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsAWSLambda":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsAzureFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsGoogleFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsSysdig":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsStatusPageIO":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsDingTalk":{"type":"object","properties":{"url":{"type":"string"},"secret":{"type":"string"}}},"EParamsZabbix":{"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsZammad":{"required":["url","apiKey"],"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsMattermost":{"required":["url"],"type":"object","properties":{"url":{"type":"string"}}},"EParamsAutotask":{"required":["email","password"],"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"}}},"EParamsDynamic":{"required":["requestUrl"],"type":"object","properties":{"requestUrl":{"type":"string"},"responseUrl":{"type":"string"},"authorization":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}}}},"paths":{"/connectors":{"post":{"tags":["Connectors"],"summary":"Create a new connector.","requestBody":{"description":"the connector","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Connector"}}},"required":true},"responses":{"200":{"description":"The newly created connector","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Connector"}}}}}}}}}
```

## GET /connectors/{id}

> Get a specific connector.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Connectors"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"Connector":{"required":["name","type"],"type":"object","properties":{"id":{"type":"string"},"type":{"$ref":"#/components/schemas/ConnectorType"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"params":{"type":"object","oneOf":[{"$ref":"#/components/schemas/EParamsDatadog"},{"$ref":"#/components/schemas/EParamsJira"},{"$ref":"#/components/schemas/EParamsMicrosoftTeams"},{"$ref":"#/components/schemas/EParamsServiceNow"},{"$ref":"#/components/schemas/EParamsSlack"},{"$ref":"#/components/schemas/EParamsZendesk"},{"$ref":"#/components/schemas/EParamsDiscord"},{"$ref":"#/components/schemas/EParamsGithub"},{"$ref":"#/components/schemas/EParamsTopdesk"},{"$ref":"#/components/schemas/EParamsAWSLambda"},{"$ref":"#/components/schemas/EParamsAzureFunction"},{"$ref":"#/components/schemas/EParamsGoogleFunction"},{"$ref":"#/components/schemas/EParamsSysdig"},{"$ref":"#/components/schemas/EParamsStatusPageIO"},{"$ref":"#/components/schemas/EParamsDingTalk"},{"$ref":"#/components/schemas/EParamsZabbix"},{"$ref":"#/components/schemas/EParamsZammad"},{"$ref":"#/components/schemas/EParamsMattermost"},{"$ref":"#/components/schemas/EParamsAutotask"},{"$ref":"#/components/schemas/EParamsDynamic"}]},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"ConnectorType":{"type":"string","enum":["jira","microsoft_teams_bot","servicenow","slack","zendesk","discord","github","topdesk","zammad","mattermost","zoom_chat","dingtalk","dynamic","zabbix","autotask","google_chat_bot"]},"EParamsDatadog":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsJira":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"password":{"type":"string"}}},"EParamsMicrosoftTeams":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsServiceNow":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsSlack":{"type":"object"},"EParamsZendesk":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsDiscord":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsGithub":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsTopdesk":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsAWSLambda":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsAzureFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsGoogleFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsSysdig":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsStatusPageIO":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsDingTalk":{"type":"object","properties":{"url":{"type":"string"},"secret":{"type":"string"}}},"EParamsZabbix":{"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsZammad":{"required":["url","apiKey"],"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsMattermost":{"required":["url"],"type":"object","properties":{"url":{"type":"string"}}},"EParamsAutotask":{"required":["email","password"],"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"}}},"EParamsDynamic":{"required":["requestUrl"],"type":"object","properties":{"requestUrl":{"type":"string"},"responseUrl":{"type":"string"},"authorization":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}}}},"paths":{"/connectors/{id}":{"get":{"tags":["Connectors"],"summary":"Get a specific connector.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The requested connector","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Connector"}}}}}}}}}
```

## PUT /connectors/{id}

> Update the specific connector. (note: type cannot be changed)

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Connectors"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"Connector":{"required":["name","type"],"type":"object","properties":{"id":{"type":"string"},"type":{"$ref":"#/components/schemas/ConnectorType"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"params":{"type":"object","oneOf":[{"$ref":"#/components/schemas/EParamsDatadog"},{"$ref":"#/components/schemas/EParamsJira"},{"$ref":"#/components/schemas/EParamsMicrosoftTeams"},{"$ref":"#/components/schemas/EParamsServiceNow"},{"$ref":"#/components/schemas/EParamsSlack"},{"$ref":"#/components/schemas/EParamsZendesk"},{"$ref":"#/components/schemas/EParamsDiscord"},{"$ref":"#/components/schemas/EParamsGithub"},{"$ref":"#/components/schemas/EParamsTopdesk"},{"$ref":"#/components/schemas/EParamsAWSLambda"},{"$ref":"#/components/schemas/EParamsAzureFunction"},{"$ref":"#/components/schemas/EParamsGoogleFunction"},{"$ref":"#/components/schemas/EParamsSysdig"},{"$ref":"#/components/schemas/EParamsStatusPageIO"},{"$ref":"#/components/schemas/EParamsDingTalk"},{"$ref":"#/components/schemas/EParamsZabbix"},{"$ref":"#/components/schemas/EParamsZammad"},{"$ref":"#/components/schemas/EParamsMattermost"},{"$ref":"#/components/schemas/EParamsAutotask"},{"$ref":"#/components/schemas/EParamsDynamic"}]},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"ConnectorType":{"type":"string","enum":["jira","microsoft_teams_bot","servicenow","slack","zendesk","discord","github","topdesk","zammad","mattermost","zoom_chat","dingtalk","dynamic","zabbix","autotask","google_chat_bot"]},"EParamsDatadog":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsJira":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"password":{"type":"string"}}},"EParamsMicrosoftTeams":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsServiceNow":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsSlack":{"type":"object"},"EParamsZendesk":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsDiscord":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsGithub":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsTopdesk":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsAWSLambda":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsAzureFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsGoogleFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsSysdig":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsStatusPageIO":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsDingTalk":{"type":"object","properties":{"url":{"type":"string"},"secret":{"type":"string"}}},"EParamsZabbix":{"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsZammad":{"required":["url","apiKey"],"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsMattermost":{"required":["url"],"type":"object","properties":{"url":{"type":"string"}}},"EParamsAutotask":{"required":["email","password"],"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"}}},"EParamsDynamic":{"required":["requestUrl"],"type":"object","properties":{"requestUrl":{"type":"string"},"responseUrl":{"type":"string"},"authorization":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}}}},"paths":{"/connectors/{id}":{"put":{"tags":["Connectors"],"summary":"Update the specific connector. (note: type cannot be changed)","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"the connector","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Connector"}}},"required":true},"responses":{"200":{"description":"The updated connector","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Connector"}}}}}}}}}
```

## DELETE /connectors/{id}

> Remove a specific connector.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Connectors"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/connectors/{id}":{"delete":{"tags":["Connectors"],"summary":"Remove a specific connector.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Empty body delete response","content":{}}}}}}}
```

## GET /connectors/name/{name}

> Get the connector with the specified name.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Connectors"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"Connector":{"required":["name","type"],"type":"object","properties":{"id":{"type":"string"},"type":{"$ref":"#/components/schemas/ConnectorType"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"params":{"type":"object","oneOf":[{"$ref":"#/components/schemas/EParamsDatadog"},{"$ref":"#/components/schemas/EParamsJira"},{"$ref":"#/components/schemas/EParamsMicrosoftTeams"},{"$ref":"#/components/schemas/EParamsServiceNow"},{"$ref":"#/components/schemas/EParamsSlack"},{"$ref":"#/components/schemas/EParamsZendesk"},{"$ref":"#/components/schemas/EParamsDiscord"},{"$ref":"#/components/schemas/EParamsGithub"},{"$ref":"#/components/schemas/EParamsTopdesk"},{"$ref":"#/components/schemas/EParamsAWSLambda"},{"$ref":"#/components/schemas/EParamsAzureFunction"},{"$ref":"#/components/schemas/EParamsGoogleFunction"},{"$ref":"#/components/schemas/EParamsSysdig"},{"$ref":"#/components/schemas/EParamsStatusPageIO"},{"$ref":"#/components/schemas/EParamsDingTalk"},{"$ref":"#/components/schemas/EParamsZabbix"},{"$ref":"#/components/schemas/EParamsZammad"},{"$ref":"#/components/schemas/EParamsMattermost"},{"$ref":"#/components/schemas/EParamsAutotask"},{"$ref":"#/components/schemas/EParamsDynamic"}]},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"ConnectorType":{"type":"string","enum":["jira","microsoft_teams_bot","servicenow","slack","zendesk","discord","github","topdesk","zammad","mattermost","zoom_chat","dingtalk","dynamic","zabbix","autotask","google_chat_bot"]},"EParamsDatadog":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsJira":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"password":{"type":"string"}}},"EParamsMicrosoftTeams":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsServiceNow":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsSlack":{"type":"object"},"EParamsZendesk":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsDiscord":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsGithub":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsTopdesk":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsAWSLambda":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsAzureFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsGoogleFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsSysdig":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsStatusPageIO":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsDingTalk":{"type":"object","properties":{"url":{"type":"string"},"secret":{"type":"string"}}},"EParamsZabbix":{"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsZammad":{"required":["url","apiKey"],"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsMattermost":{"required":["url"],"type":"object","properties":{"url":{"type":"string"}}},"EParamsAutotask":{"required":["email","password"],"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"}}},"EParamsDynamic":{"required":["requestUrl"],"type":"object","properties":{"requestUrl":{"type":"string"},"responseUrl":{"type":"string"},"authorization":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}}}},"paths":{"/connectors/name/{name}":{"get":{"tags":["Connectors"],"summary":"Get the connector with the specified name.","parameters":[{"name":"name","in":"path","description":"unique name of the connector","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The requested connector","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Connector"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ilert.com/developer-docs/rest-api/api-reference/connectors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
